_IFAPI_CRYPTO_CONTEXT Struct Reference

## Data Fields

const EVP_MD * | osslHashAlgorithm
EVP_MD_CTX * | osslContext
size_t | hashSize

## Detailed Description

Context to hold temporary values for ifapi_crypto

## Field Documentation

## hashSize

size_t hashSize

The size of the hash's digest

## osslContext

EVP_MD_CTX* osslContext

The hash engine's context

## osslHashAlgorithm

const EVP_MD* osslHashAlgorithm

The currently used hash algorithm

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_crypto.c